function dvar=setupthickness(md,dvar,variables)

%ok, dealing with semi-discrete distributed variable. Distribute according to how many 
%partitions we want

for j=1:md.npart
	dvar(end+1)           =variables;
	dvar(end  ).descriptor=sprintf('%s%d',variables.descriptor,j);
end

end
